<?PHP  

if(is_logged_in($user)){
$tagtext = "I got fit here";
$actionlink = "individual.php?coach_id=$row[coach_id]&".get_sid();
}else{
$tagtext = "Log in to tag this coach";
$actionlink = "$forum_url/forum/?do=login&from=coaches";
$tagstatus = "no";
}

if(is_logged_in($user)){
//Get user's uid
//$testresults = mysql_query("SELECT user_id FROM ".$prefix."User WHERE user_username=\"$username\"") or die(mysql_error());
//$testrow = mysql_fetch_array($testresults);
//$useruid = $testrow[user_id];
$useruid = base64_decode($_SESSION['user_id']);

// is the current user the owner of the coach?
$coach_submitted_by = FALSE;
if($useruid == $row[coach_submitted_by]){
  $coach_submitted_by = TRUE;
}

$tagresults = mysql_query("SELECT coach_user_tags FROM ".$prefix."Coaches WHERE coach_id=$row[coach_id]");
$tagrow = mysql_fetch_array($tagresults);
$tags = explode(",", $tagrow[coach_user_tags]);

$profileresults = mysql_query("SELECT user_coachtags FROM ".$prefix."User WHERE user_id='$useruid'") or die(mysql_error());
$profilerow = mysql_fetch_array($profileresults);
$profiletags = explode(",", $profilerow[user_coachtags]);

if($_POST[status] == "tag"){
//tag the coach
if(array_search($useruid, $tags) == FALSE){
array_push($tags, $useruid);
}
$tags = implode(",", $tags);
mysql_query("UPDATE ".$prefix."Coaches SET coach_user_tags='$tags' WHERE coach_id=$row[coach_id]") or die(mysql_error());
$tags = explode(",", $tags);

if(array_search($row[coach_id], $profiletags) == FALSE){
array_push($profiletags, $row[coach_id]);
}
$profiletags = implode(",", $profiletags);
mysql_query("UPDATE ".$prefix."User SET user_coachtags='$profiletags' WHERE user_id='$useruid'") or die(mysql_error());
}else if($_POST[status] == "untag"){
//untag the coach
$key = array_search($useruid, $tags);
unset($tags[$key]);
$tags = implode(",", $tags);
mysql_query("UPDATE ".$prefix."Coaches SET coach_user_tags='$tags' WHERE coach_id=$row[coach_id]") or die(mysql_error()); 
$tags = explode(",", $tags);

$key = array_search($row[coach_id], $profiletags);
unset($profiletags[$key]);
$profiletags = implode(",", $profiletags);
mysql_query("UPDATE ".$prefix."User SET user_coachtags='$profiletags' WHERE user_id=$useruid");
}

//Is the coach tagged already?
if(array_search($useruid, $tags) !== FALSE){ $tagged = TRUE; }else{ $tagged = FALSE; }

if($tagged){ $tagstatus = "untag"; $tagtext = "Untag this coach";}else{ $tagstatus = "tag"; $tagtext = "I'm coached";}
}
?>

<div>
<form action="<? echo $actionlink; ?>" method="post" style="display: inline;">
<input type="hidden" value="<? echo $tagstatus; ?>" name="status" />
</form>
<form method="post" action="<? echo "individual.php?coach_id=$row[coach_id]#tagged"; ?>" style="display: inline;">
<input type="submit" value="Who's coached?" class="btn" />
<? if (is_logged_in($user)) { ?>
<input type="submit" value="<? echo $tagtext; ?>" class="btn" />
<? } else { ?>
<a href="<? echo $actionlink ?>" class="btn"><? echo $tagtext; ?></a>
<? } ?>
</form>
<? if(is_logged_in($user)){ ?>
    <form method="post" action="<? echo "individual.php?coach_id=$row[coach_id]#comment"; ?>" style="display: inline;">
    <input type="submit" value="Comment on this coach" class="btn" />
    </form>
    
    <form method="post" action="<? echo "wiki_edit.php?coach_id=$row[coach_id]"; ?>" style="display: inline;">
    <input type="submit" value="Edit this coach (wiki)" class="btn" />
    </form>
<?
 if(is_admin($user)) {
?>

<form method="post" action="delete_X.php" style="display: inline;">
<input type="hidden" name="coach_id" value="<? echo($row[coach_id]); ?>" />
<input type="submit" value="Delete this coach" class="btn" onclick="return confirm('Are you sure you want to DELETE this coach?');" />
</form>

<?

//Get user's username
$testresults = mysql_query("SELECT user_username FROM ".$prefix."User WHERE user_id='$row[coach_submitted_by]'") or die(mysql_error());
$testrow = mysql_fetch_array($testresults);
$username = $testrow[user_username];
echo("<br /><br /><strong>Entered By: </strong> <a href='http://forum.slowtwitch.com/gforum.cgi?username=$username;'>$username</a>");  
  }
}
?>
</div>
